Skip to content

Add a tag to a content snippet

Request

Apply an existing tag to a content snippet. Returns the tag that was applied.

The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the manage_knowledge_base_content permission.

Requires the read_write_content_snippets OAuth scope.

Security
bearerAuth
Path
content_snippet_idstringrequired

The unique identifier for the content snippet.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
idstringrequired

The unique identifier of the tag to apply, as given by Intercom.

Example:"7522907"
admin_idstring or null

Optional id of the teammate to attribute the tagging to. Defaults to the authenticating teammate. Does not affect authorization.

Example:"1234"
curl -i -X POST \
  https://api.intercom.io/content_snippets/123/tags \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "id": "7522907"
  }'

Responses

Tag applied

Bodyapplication/json
typestring

value is "tag"

Example:"tag"
idstring

The id of the tag

Example:"123456"
namestring

The name of the tag

Example:"Test tag"
applied_atinteger or null, (date-time)

The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Example:1663597223
applied_byobject or null(Reference)

The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Response
{ "type": "tag", "id": "7522907", "name": "Independent", "applied_at": 1663597223, "applied_by": { "type": "admin", "id": "1234" } }